import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/labour_list_e_r_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/labour_list_e_r_entity.g.dart';

@JsonSerializable()
class LabourListEREntity {
	int total = 0;
	List<LabourListERRows> rows = [];

	LabourListEREntity();

	factory LabourListEREntity.fromJson(Map<String, dynamic> json) => $LabourListEREntityFromJson(json);

	Map<String, dynamic> toJson() => $LabourListEREntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class LabourListERRows {
	@JSONField(name: "job_id")
	String? jobId;
	@JSONField(name: "job_date")
	String? jobDate;
	@JSONField(name: "outlet_name")
	String? outletName;
	@JSONField(name: "job_title")
	String? jobTitle;
	@JSONField(name: "start_time")
	String? startTime;
	@JSONField(name: "end_time")
	String? endTime;
	@JSONField(name: "hiring_num")
	String? hiringNum;
	@JSONField(name: "pre_num")
	String? preNum;
	int status = 0;
	@JSONField(name: "status_show")
	String? statusShow;
	@JSONField(name: "is_ot")
	int isOt = 0;
	@JSONField(name: "action_list")
	List<String> actionList = [];

	LabourListERRows();

	factory LabourListERRows.fromJson(Map<String, dynamic> json) => $LabourListERRowsFromJson(json);

	Map<String, dynamic> toJson() => $LabourListERRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}